; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; char-downcase

; ---conformance---
; R5RS

; ---purpose---
; Convert a char to lower case.

; ---args---
; X - char

; ---keywords---
; CHAR-DOWNCASE function, chars, characters, case, conversion

; ---see-also---
; char-upcase, char-lower-case?, char-alphabetic?

; ---example---
; (char-downcase #\X) => #\x

(define char-downcase #t)

:c lib/c-upper-casep.l char-upper-case?
:c lib/plus.l +

; ---code---
(define char-downcase (lambda (x)
	(cond ((char-upper-case? x)
			(integer->char (+ (char->integer x) 32)))
		(#t x))))

