; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; fact

; ---conformance---
; Sketchy Extension

; ---purpose---
; Compute X!. X must be a positive integer.

; ---args---
; X - number

; ---keywords---
; FAC function, factorial

; ---see-also---
; digits, expt, gcd, product, sum

; ---example---
; (fact 5) => 120

(define fact #t)

:c lib/digits.l
:c lib/zerop.l zero?
:c lib/product.l

; ---code---
(define fact (lambda (x) 
	(cond ((zero? x) 1)
		(#t (product 1 x)))))

