; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; logand

; ---conformance---
; Sketchy Core

; ---purpose---
; Logical product (AND).

; ---args---
; A - truth value
; B - truth value

; ---keywords---
; LOGAND function, AND, logical AND, logical product

; ---see-also---
; logeqv, lognand, logneqv, lognor, lognot, logor

; ---example---
; (logand #t #t) => #t

; ---code---
(define logand (lambda (a b)
	(cond (a b)
		(#t #f))))

