; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; sketchy

; ---conformance---
; Sketchy Core

; ---purpose---
; Load the SketchyLISP core library into memory.

; ---keywords---
; SketchyLISP, procedures functions, routines, subroutines

(define sketchy #t)

; ---code---
:c lib/abs.l
:c lib/append.l
:c lib/assoc.l
:c lib/assq.l
:c lib/booleanp.l boolean?
:c lib/caaaar.l
:c lib/caaar.l
:c lib/caar.l
:c lib/c-alphabeticp.l char-alphabetic?
:c lib/c-cieqp.l char-ci=?
:c lib/c-cigep.l char-ci>=?
:c lib/c-cigtp.l char-ci>?
:c lib/c-cilep.l char-ci<=?
:c lib/c-ciltp.l char-ci<?
:c lib/c-downcase.l
:c lib/c-lower-casep.l char-lower-case?
:c lib/c-numericp.l char-numeric?
:c lib/c-upcase.l
:c lib/c-upper-casep.l char-upper-case?
:c lib/c-whitespacep.l char-whitespace?
:c lib/ceqp.l char=?
:c lib/cgep.l char>=?
:c lib/cgtp.l char>?
:c lib/clep.l char<=?
:c lib/cltp.l char<?
:c lib/digits.l
:c lib/divide.l
:c lib/equal.l =
:c lib/equalp.l equal?
:c lib/evenp.l even?
:c lib/expt.l
:c lib/gcd.l
:c lib/greater.l >
:c lib/gteq.l >=
:c lib/id.l
:c lib/integer.l
:c lib/iterate.l
:c lib/lcm.l
:c lib/length.l
:c lib/less.l <
:c lib/list-ref.l
:c lib/list-tail.l
:c lib/list.l
:c lib/listp.l list?
:c lib/logand.l
:c lib/logeqv.l
:c lib/lognand.l
:c lib/logneqv.l
:c lib/lognor.l
:c lib/lognot.l
:c lib/logor.l
:c lib/lteq.l <=
:c lib/map.l
:c lib/max.l
:c lib/member.l
:c lib/memq.l
:c lib/min.l -
:c lib/minus.l -
:c lib/modulo.l
:c lib/natural.l
:c lib/naturalp.l natural?
:c lib/ndivide.l
:c lib/negate.l
:c lib/negativep.l negative?
:c lib/nexpt.l
:c lib/ngreater.l n>
:c lib/ngteq.l n>=
:c lib/nless.l n<
:c lib/nlteq.l n<=
:c lib/nminus.l n-
:c lib/non-negativep.l non-negative?
:c lib/normalize.l
:c lib/not.l
:c lib/nplus.l n+
:c lib/nquotient.l
:c lib/nremainder.l
:c lib/ntimes.l n*
:c lib/numtostr.l number->string
:c lib/oddp.l odd?
:c lib/plus.l +
:c lib/positivep.l positive?
:c lib/pred.l
:c lib/quotient.l
:c lib/remainder.l
:c lib/reverse.l
:c lib/sqrt.l
:c lib/string.l
:c lib/strtonum.l string->number
:c lib/s-append.l
:c lib/s-cieqp.l string-ci=?
:c lib/s-cigtp.l string-ci>?
:c lib/s-cigep.l string-ci>=?
:c lib/s-ciltp.l string-ci<?
:c lib/s-cilep.l string-ci<=?
:c lib/s-length.l
:c lib/s-ref.l
:c lib/seqp.l string=?
:c lib/sgtp.l string>?
:c lib/sgep.l string>=?
:c lib/sltp.l string<?
:c lib/slep.l string<=?
:c lib/substring.l
:c lib/succ.l
:c lib/times.l *
:c lib/zerop.l zero?
