; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; char-numeric?

; ---conformance---
; R5RS

; ---purpose---
; Test whether a char is numeric.

; ---args---
; X - char

; ---keywords---
; CHAR-NUMERIC? function, chars, characters, property, case

; ---see-also---
; char-lower-case?, char-alphabetic?, char-whitespace?

; ---example---
; (char-numeric? #\5) => #t

(define char-numericp #t)

:c lib/lteq.l <=

; ---code---
(define char-numeric? (lambda (x)
	(<= (char->integer #\0)
		(char->integer x)
		(char->integer #\9))))

