; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; last

; ---conformance---
; Sketchy Extension

; ---purpose---
; Extract the last member of a list.

; ---args---
; X - list

; ---keywords---
; LAST function, list, last member

; ---see-also---
; caar, append, list-tail

; ---example---
; (last '(a b c d e f)) => 'f

(define last #t)

:c lib/reverse.l

; ---code---
(define last (lambda (x)
	(car (reverse x))))

