; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; logeqv

; ---conformance---
; Sketchy Core

; ---purpose---
; Logical equivalence (EQV).

; ---args---
; A - truth value
; B - truth value

; ---keywords---
; LOGEQV function, EQV, logical EQV, logical equivalence

; ---see-also---
; logand, lognand, logneqv, lognor, lognot, logor

; ---example---
; (logeqv #f #f) => #t

; ---code---
(define logeqv (lambda (a b)
	(eq? a b)))

