; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; lognot

; ---conformance---
; Sketchy Core

; ---purpose---
; Logical negation (NOT).

; ---args---
; A - truth value

; ---keywords---
; LOGNOT function, NOT, logical negation, logical NOT

; ---see-also---
; logand, logeqv, lognand, logneqv, lognor, logor

; ---example---
; (lognot #f) => #t

; ---code---
(define lognot (lambda (a)
	(eq? a #f)))

