; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; logor

; ---conformance---
; Sketchy Core

; ---purpose---
; Logical sum (OR).

; ---args---
; A - truth value
; B - truth value

; ---keywords---
; LOGOR function, OR, logical OR, logical sum

; ---see-also---
; logand, logeqv, lognand, logneqv, lognor, lognot

; ---example---
; (logor #t #f) => #t

; ---code---
(define logor (lambda (a b)
	(cond (a #t)
		(#t b))))

