; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; string-ref

; ---conformance---
; R5RS

; ---purpose---
; Extract the n'th char of a string. The first char is at
; position 0.

; ---args---
; X - string
; N - position of char to extract

; ---keywords---
; STRING-REF function, string, n'th member, position

; ---see-also---
; string, string-length, string-ref, substring

; ---example---
; (string-ref "abcdef" 2) => #\c

(define string-ref #t)

:c lib/list-ref.l

; ---code---
(define string-ref (lambda (x n)
	(list-ref (string->list x) n)))

